Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Events

2 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/events

List all Events

Returns a list of Events from the past 30 days. The Events are sorted with the most recently created appearing first.

Query parameters

  • delivery_statusstring (succeeded | failed | pending | undelivered)optional

    Filters events by their webhook delivery status. - succeeded — all endpoints received a 2xx response - failed — at least one endpoint exhausted retries without a successful delivery - pending — event is still queued for delivery (fan-out not yet complete) - undelivered — no delivery was attempted because the endpoint was inactive or disabled When omitted, all events are returned regardless of delivery status.

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive). Default is 30 days in the past.

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive). Default is current date.

  • typesarray of string (account.updated | charge.captured | charge.expired | charge.failed | charge.succeeded | charge.pending | charge.refunded | charge.refund.pending | …)optional

    An array of up to 20 strings containing specific event names. The list will be filtered to include only events with a matching event property.

  • object_idstringoptional

    Id of related resource. The list will be filtered to include events that are related to the resource with this id.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of Eventrequired

GET/v1/events/{id}

Get an Event

Retrieves the details of an Event.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200Event

  • account_idstringrequired

    The id of the account that originated the event.

  • created_atstring date-timerequired

    Time at which the object was created.

  • dataobjectrequired

    Object containing the API resource relevant to the event. For example, a charge.succeeded event will have a full charge object as the value.

  • idstringrequired

    Unique identifier for the object.

  • typestring (account.updated | charge.captured | charge.expired | charge.failed | charge.succeeded | charge.pending | charge.refunded | charge.refund.pending | …)required

    Description of the event (e.g. charge.succeeded or charge.refunded). account.updated Occurs whenever an account status or property has changed. This includes capability statuses. charge.captured Occurs whenever a previously uncaptured charge is captured. charge.expired Occurs whenever an uncaptured charge expires. charge.failed Occurs whenever a failed charge attempt occurs. charge.succeeded Occurs whenever a new charge is created and is successful. charge.pending Occurs whenever a pending charge is created. charge.refunded occurs whenever a charge is refunded, including partial refunds charge.refund.pending Occurs whenever a refund is pending, on a card present payment method. charge.refund.updated Occurs whenever a refund is updated, on selected payment methods. charge.updated Occurs when a charge description is updated customer.created Occurs whenever a new customer is created. customer.deleted Occurs whenever a customer is deleted. customer.updated Occurs whenever any property of a customer changes. payment_intent.canceled Occurs when a PaymentIntent is canceled. payment_intent.created Occurs when a new PaymentIntent is created. payment_intent.payment_failed Occurs when a PaymentIntent has failed the attempt to create a payment method or a payment. payment_intent.processing Occurs when a PaymentIntent has started processing. payment_intent.requires_action Occurs when a PaymentIntent transitions to requires_action state payment_intent.succeeded Occurs when a PaymentIntent has successfully completed payment. payment_method.attached Occurs whenever a new payment method is attached to a customer. payment_method.detached Occurs whenever a payment method is detached from a customer. report_run.succeeded Occurs whenever a report run has successfully been uploaded to S3 and our File system. report_run.failed Occurs whenever a report run has failed to be uploaded to S3 or our File system. batch.opened Occurs when a new Batch is opened for a merchant participating in manual batch close. batch.closing Occurs when a close has been accepted for the batch; submission to the processor is in flight. batch.closed Occurs when every underlying settlement in the batch has been submitted to the processor. batch.close_failed Occurs when at least one settlement in the batch exhausted its retries. Partners may re-issue a close call to retry.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

404